Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class SSL3MasterKeyDeriveParameters

    java.lang.Object
      iaik.pkcs.pkcs11.parameters.SSL3MasterKeyDeriveParameters

All Implemented Interfaces:
  Cloneable, Parameters

public class SSL3MasterKeyDeriveParameters
extends Object
implements Parameters

This class encapsulates parameters for the Mechanism.SSL3_MASTER_KEY_DERIVE mechanism and the Mechanism.TLS_MASTER_KEY_DERIVE.

Invariants
  (randomInfo_ <> null) and (version_ <> null)

Field Summary
`protected SSL3RandomDataParameters` | `randomInfo_` The client's and server's random data information.
`protected VersionParameters` | `version_` The SSL protocol version information.

Constructor Summary
`SSL3MasterKeyDeriveParameters(SSL3RandomDataParameters randomInfo, VersionParameters version)` Create a new SSL3MasterKeyDeriveParameters object with the given random info and version.

Method Summary
`Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(Object otherObject)` Compares all member variables of this object with the other object.
`Object` | `getPKCS11ParamsObject()` Get this parameters object as a CK_SSL3_RANDOM_DATA object.
`SSL3RandomDataParameters` | `getRandomInfo()` Get the client's and server's random data information.
`VersionParameters` | `getVersion()` Get the SSL protocol version information.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setRandomInfo(SSL3RandomDataParameters randomInfo)` Set the client's and server's random data information.
`void` | `setVersion(VersionParameters version)` Set the SSL protocol version information.
`String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### randomInfo_

    protected SSL3RandomDataParameters randomInfo_

  The client's and server's random data information.

### version_

    protected VersionParameters version_

  The SSL protocol version information.

Constructor Detail

### SSL3MasterKeyDeriveParameters

    public SSL3MasterKeyDeriveParameters(SSL3RandomDataParameters randomInfo,
                                         VersionParameters version)

  Create a new SSL3MasterKeyDeriveParameters object with the given random info and version.

Parameters:
  `randomInfo` - The client's and server's random data information.
  `version` - The SSL protocol version information.
Preconditions
  (randomInfo <> null) and (version <> null)
Postconditions

Method Detail

### clone

    public Object clone()

  Create a (deep) clone of this object.

  Returns:
    A clone of this object.
  Preconditions
  Postconditions
    (result <> null) and (result instanceof SSL3MasterKeyDeriveParameters) and (result.equals(this))

### getPKCS11ParamsObject

    public Object getPKCS11ParamsObject()

  Get this parameters object as a CK_SSL3_RANDOM_DATA object.

  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Returns:
    This object as a CK_SSL3_RANDOM_DATA object.
  Preconditions
  Postconditions
    (result <> null)

### getRandomInfo

    public SSL3RandomDataParameters getRandomInfo()

  Get the client's and server's random data information.

  Returns:
    The client's and server's random data information.
  Preconditions
  Postconditions
    (result <> null)

### getVersion

    public VersionParameters getVersion()

  Get the SSL protocol version information.

  Returns:
    The SSL protocol version information.
  Preconditions
  Postconditions
    (result <> null)

### setRandomInfo

    public void setRandomInfo(SSL3RandomDataParameters randomInfo)

  Set the client's and server's random data information.

  Parameters:
    `randomInfo` - The client's and server's random data information.
  Preconditions
    (randomInfo <> null)
  Postconditions

### setVersion

    public void setVersion(VersionParameters version)

  Set the SSL protocol version information.

  Parameters:
    `version` - The SSL protocol version information.
  Preconditions
    (version <> null)
  Postconditions

### toString

    public String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.

  Returns:
    A string representation of this object.

### equals

    public boolean equals(Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.

  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.
  Preconditions
  Postconditions

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.

  Returns:
    The hash code of this object.
  Preconditions
  Postconditions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.